<?php

declare(strict_types=1);

namespace Dedi\SyliusBlogPlugin\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\Entity()
 * @ORM\Table(name="dedi_blog_configuration_banner")
 */
class BlogConfigurationBanner extends AbstractImage
{
    public const TYPE = 'dedi_blog_configuration_banner';

    /**
     * @ORM\OneToOne(targetEntity="BlogConfiguration", inversedBy="banner")
     * @ORM\JoinColumn(name="owner_id", referencedColumnName="id")
     */
    protected ?object $owner = null;
}
