<?php

declare(strict_types=1);

namespace Dedi\SyliusBlogPlugin\Factory;

use Dedi\SyliusBlogPlugin\Entity\CommentInterface;
use Sylius\Component\Core\Model\ChannelInterface;
use Sylius\Component\Resource\Factory\FactoryInterface;

interface CommentFactoryInterface extends FactoryInterface
{
    public function createNewWithArticle(ChannelInterface $channel, $articleSlug, $locale): CommentInterface;
}
